      Subroutine sigcl (eta,scou,lmax,ldim)
c *** see RH Landau, Program lpott, 1981
c
c     nb lmax must be variable
      Implicit  Real*8   (a-h,o-z)
      Dimension scou(ldim), ft(5)
      abeta = abs(eta)
      If (lmax.gt.ldim) lmax = ldim
      If (abeta-1.e-06) 10,10,30
 10   Do 20 i=1,lmax
         scou(i) = 0.e0
 20   Continue
      GoTo 100
 30   c = 1.e0/(eta*eta+2601.e0)
      ch = Sqrt(c)
      theta = atan(eta/51.e0)
      Do 40 m=1,5
         ft(m) = sin(theta*(2*m-1))
 40   Continue
      sig2 = 50.5*theta-eta*(log(ch)+1.)
      sig2 = sig2-ch*(ft(1)/12.-c*(ft(2)/360.-c*(ft(3)/1260.-c*(ft(4)/
     11680.-c*ft(5)/1188.))))
      lmax1 = 50-lmax
      If (lmax1) 70,70,50
 50   Do 60 i=1,lmax1
         l = 51-i
         sig2 = sig2-atan(eta/l)
 60   Continue
 70   lmax1 = lmax1+2
      scou(lmax) = sig2-atan(eta/lmax)
      If (lmax1-50) 80,80,100
 80   Do 90 i=lmax1,50
         l = 51-i
         scou(l) = scou(l+1)-atan(eta/l)
 90   Continue
 100  Continue
      Return
      End
